### Class

# AppStream Context

#### Description

    class AppStream.Context : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### as_context_new

Creates a new `AsContext`.

#### Instance methods

###### as_context_get_filename

No description available.

###### as_context_get_format_version

No description available.

###### as_context_get_locale

No description available.

###### as_context_get_locale_use_all

No description available.

###### as_context_get_media_baseurl

No description available.

###### as_context_get_origin

No description available.

###### as_context_get_priority

No description available.

###### as_context_get_style

No description available.

###### as_context_get_value_flags

No description available.

###### as_context_has_media_baseurl

No description available.

###### as_context_set_filename

Sets the file name we are loading data from.

###### as_context_set_format_version

Sets the AppStream format version.

###### as_context_set_locale

Sets the active locale. If the magic value “ALL” is used, the current system locale will be used for data reading, but when writing data all locale will be written.

###### as_context_set_media_baseurl

Sets the media base URL.

###### as_context_set_origin

Sets the data origin.

###### as_context_set_priority

Sets the data priority.

###### as_context_set_style

Sets the AppStream document style.

###### as_context_set_value_flags

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamContextClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.